Anonymous Login
2021-03-03 10:39 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000216Pending RequestsTaskspublic2014-08-16 18:23
Reportercaseydk 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000216: Support Additional Task Dependency Types
DescriptionAs of v1.0, we only support Finish:Start dependencies with no offset in between.

To expand this out, we should additionally support:

1) Start:Start dependencies - Tasks must start at the same time;
2) Finish:Finish dependencies - Tasks must finish at the same time;
3) Start:Finish dependencies - Task B must start before Task A can finish;

In addition, it should be possible to specify offsets in between these tasks... for example:

"Task A must start 7 days after Task B starts"
TagsNo tags attached.
Attached Files

-Relationships
related to 0000078closedtrevormorse v2.4 Release (Closed) Task dependencies not cascading 
child of 0000214new Pending Requests Refactor Tasks to Support Multiple Dependency Types 
child of 0000215new Pending Requests Task Dependency UI 
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-26 13:15 caseydk New Issue
2009-07-26 13:16 caseydk Relationship added related to 0000214
2009-07-26 13:16 caseydk Relationship added related to 0000215
2009-07-26 13:17 caseydk Relationship deleted related to 0000214
2009-07-26 13:17 caseydk Relationship deleted related to 0000215
2009-07-26 13:17 caseydk Relationship added child of 0000214
2009-07-26 13:17 caseydk Relationship added child of 0000215
2009-07-26 13:18 caseydk Relationship added related to 0000078
2009-09-12 09:42 pedroa Status new => assigned
2009-09-12 09:42 pedroa Assigned To => pedroa
2010-06-15 09:41 caseydk Status assigned => new
2010-06-15 09:42 caseydk Assigned To pedroa =>
2010-07-03 23:12 caseydk Severity minor => feature
2014-08-16 18:23 caseydk Category General => Tasks
+Issue History